Bug 489486 - multi-org, after updating a channel's access control no "updated" message displayed
multi-org, after updating a channel's access control no "updated" message dis...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
high Severity medium
: ---
: ---
Assigned To: Shannon Hughes
Corey Welton
https://grandprix.rhndev.redhat.com/r...
:
Depends On:
Blocks: 456998
  Show dependency treegraph
 
Reported: 2009-03-10 08:49 EDT by wes hayutin
Modified: 2009-09-10 15:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:48:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2009-03-10 08:49:58 EDT
Description of problem:

Satellite-5.3.0-RHEL5-re20090306.2-i386-embedded-oracle.iso

recreate.
1. create two orgs, with trusts
2. create a public shared channel
3. have one org sharing a channel to the other
4. modify the shared channel from public to private, and deny access

results:
No message after channel is updated, 

expected results:
"Channel "+channelName+ " updated."
Comment 1 Shannon Hughes 2009-03-26 14:54:05 EDT
added a check channel updates when moving from public to private. we were missing the if block for adding status messages for this path.
Comment 2 wes hayutin 2009-03-30 15:25:39 EDT
fails...
we need the message also when you move from protected to private or public to protected.. after the grant/remove access page
Comment 3 Shannon Hughes 2009-04-01 13:26:38 EDT
comment #2 is taken care of with bug #493167. i noticed that last night when working on the page and fixed it.
Comment 4 Shannon Hughes 2009-04-06 11:09:18 EDT
mass move to onqa
Comment 5 Corey Welton 2009-04-13 08:38:31 EDT
QA verified.
Comment 6 Brad Buckingham 2009-07-31 11:42:39 EDT
verified behavior on 7/24 stage iso... moving to RELEASE_PENDING
Comment 7 Brandon Perkins 2009-09-10 15:48:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.